function init()
	gun.name = "Bomblauncher"
	gun.fireDelay = 9000
	
	--gun.reloadDelay = 15000
	--gun.clipNum = 3
	
	gun.shotspeed = 400
	gun.shotrange = 12000--acts as fuse ms timer
	gun.shotdamage = 3.1
	gun.shotknockback = 8000
	gun.piercing = 1
	
	return 0
end


function update()

	return 0
end


function fire()
	stage.GFP("BOMBOMB")

	--store gun properties (after we create the torpedo, "gun" changes)
	original = gun
	
	owner = gun.owner
	fireangle = gun.firetheta
	shotspeed =  gun.shotspeed
	shotdamage = gun.shotdamage
	shotknockback = gun.shotknockback
	shotrange= gun.shotrange
	
	--sorta hacky and i don't understand why these chase the player but w/e
	faction = gun.owner.faction
	if faction == 3 then faction = 5 end
	
	stage.createShip("Bomb", "", gun.firex, gun.firey, faction)
	ship.setWeaponDamage(shotdamage)
	ship.setWeaponKnockback(shotknockback)
	--move at speed
	ship.movrot = fireangle
	ship.rot = fireangle
	ship.speed = shotspeed
	--set the fuse
	ship.controller.resetTimer("fuse", shotrange)
	
	--ignore owner (can't collide) (will be cleared in a second by the  AI)
	ship.ignore(owner)
	
	gun.sfx("gun_missilethoom.wav", ship.x, ship.y)
	
	return 0
end

function shot_update()

	return 0
end